<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE connector PUBLIC "-//Sun Microsystems, Inc.//DTD Connector 1.0//EN" "http://java.sun.com/dtd/connector_1_0.dtd">

<connector>
    <display-name>JOnAS XA RA</display-name>
    <description>JOnAS XA RA</description>
    <vendor-name>Objectweb</vendor-name>
    <spec-version>1.0</spec-version>
    <eis-type>JDBC</eis-type>
    <version>1.0</version>
    <resourceadapter>
        <managedconnectionfactory-class>org.ow2.jonas.ee.jdbc.XAMCFImpl</managedconnectionfactory-class>
        <connectionfactory-interface>javax.sql.DataSource</connectionfactory-interface>
        <connectionfactory-impl-class>org.ow2.jonas.ee.jdbc.DataSourceImpl</connectionfactory-impl-class>
        <connection-interface>java.sql.Connection</connection-interface>
        <connection-impl-class>org.ow2.jonas.ee.jdbc.ConnectionImpl</connection-impl-class>
        <transaction-support>XATransaction</transaction-support>
        <config-property>
            <config-property-name>dsClass</config-property-name>
            <config-property-type>java.lang.String</config-property-type>
            <config-property-value></config-property-value>
        </config-property>
        <config-property>
            <config-property-name>user</config-property-name>
            <config-property-type>java.lang.String</config-property-type>
            <config-property-value></config-property-value>
        </config-property>
        <config-property>
            <config-property-name>password</config-property-name>
            <config-property-type>java.lang.String</config-property-type>
            <config-property-value></config-property-value>
        </config-property>
        <config-property>
            <config-property-name>databaseName</config-property-name>
            <config-property-type>java.lang.String</config-property-type>
            <config-property-value></config-property-value>
        </config-property>
        <config-property>
            <config-property-name>description</config-property-name>
            <config-property-type>java.lang.String</config-property-type>
            <config-property-value></config-property-value>
        </config-property>
        <config-property>
            <config-property-name>portNumber</config-property-name>
            <config-property-type>java.lang.String</config-property-type>
            <config-property-value></config-property-value>
        </config-property>
        <config-property>
            <config-property-name>serverName</config-property-name>
            <config-property-type>java.lang.String</config-property-type>
            <config-property-value></config-property-value>
        </config-property>
        <config-property>
            <config-property-name>loginTimeout</config-property-name>
            <config-property-type>java.lang.String</config-property-type>
            <config-property-value>0</config-property-value>
        </config-property>
        <config-property>
            <config-property-name>dbSpecificMethods</config-property-name>
            <config-property-type>java.lang.String</config-property-type>
            <config-property-value></config-property-value>
        </config-property>
        <config-property>
            <config-property-name>isolationLevel</config-property-name>
            <config-property-type>java.lang.String</config-property-type>
            <config-property-value></config-property-value>
        </config-property>
        <config-property>
            <config-property-name>mapperName</config-property-name>
            <config-property-type>java.lang.String</config-property-type>
            <config-property-value></config-property-value>
        </config-property>
        <config-property>
            <config-property-name>logTopic</config-property-name>
            <config-property-type>java.lang.String</config-property-type>
            <config-property-value></config-property-value>
        </config-property>
        <reauthentication-support>false</reauthentication-support>
    </resourceadapter>
</connector>
